1.1

1.1

put /v1/archiving-policies/{archiving_policy_id}

Description

Set archivingPolicy

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
patharchiving_policy_id
required
Archiving Policy ID
Example : SCH-XXXXXXX
stringNone
querybucket_id
required
Bucket ID
Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
stringNone
bodybody
required

ArchivingPolicyUpdateRequest

Responses

HTTP CodeDescriptionSchema
200OKArchivingPolicyUpdateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"

Request body

{
    "object_lifecycle": "1"
}

Example HTTP response

Response 200

{
    "id": "SCH-XXXXXXX",
    "bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
    "archiving_source": {
        "bucket_name": "obs-bucket-name",
        "object_path": "/"
    },
    "object_lifecycle": "1",
    "state": "ACTIVE"
}